Return a snapshot of a resource server
GET/v2/modules/:module/setups/:setupId/resource-servers/:resourceId/snapshots/:snapshotId
Retrieves a specific snapshot of the resource server, identified by the snapshot ID. The snapshot contains the full resource server configuration, including all scopes, as it was defined for that versioned state.
Request
Path Parameters
module stringrequired
setupId stringrequired
resourceId stringrequired
snapshotId stringrequired
Responses
- 200
- 404
Resource server snapshot found
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- Array [
- ]
- ]
- Array [
- ]
scopes object[]required
metadata object[]
name string
value string
locale string
name string
policy_implicit_flow string
policy_authorization_code_flow string
policy_refresh_token string
policy_force_reauthentication boolean
custom_claims string
metadata object[]
name string
value string
locale string
name string
owner string
comment string
uri uri
valid_from date-time
{
"scopes": [
{
"metadata": [
{
"name": "string",
"value": "string",
"locale": "string"
}
],
"name": "string",
"policy_implicit_flow": "string",
"policy_authorization_code_flow": "string",
"policy_refresh_token": "string",
"policy_force_reauthentication": true,
"custom_claims": "string"
}
],
"metadata": [
{
"name": "string",
"value": "string",
"locale": "string"
}
],
"name": "string",
"owner": "string",
"comment": "string",
"uri": "string",
"valid_from": "2024-07-29T15:51:28.071Z"
}
No snapshot found
Loading...